% funkce pro vypocet skutecneho napeti 
% algoritmus: cutting plane
function [s, epsp] = cp (eps, eps_p, E, nu, Ry)

    limit=1.e-6;
epsp=eps_p;
de = isole3d(E, nu);
eps_el=eps-epsp;
s_trial=de*eps_el;
f=j2plast(s_trial, Ry);
s = s_trial;
if (f>0)
  nite = 0;
  while (f>limit)
  %plastic corrector
     nite=nite+1;
     g = dfds(s);
     dl = f/(g'*de*g);
     epsp=epsp+dl*g;
     eps_el=eps-epsp;
     s=de*eps_el;
     f=j2plast(s, Ry);
  end %while
end %if
