
% Test algoritmu cutting plane
% generujeme postupne sekvenci trial principal elastic stresses, ktere 
% lezi na soustrednych kruznicich a pocitame odpovidajici hodnoty
% skutecneho napeti vracene na plochu plasticity.

e=1.0;
nu=0.1;

hold on;
axis ([-4, 4, -4, 4], "square");
c=(2.*3.14159265)/360.0;
d=isole3d(e,nu);
id=inv(d);
for i=1:6
    r=i*0.7
        for a=1:10:360
        sp=[r*cos(a*c);r*sin(a*c);0; 0;0;0];
        ep=id*sp;
        cond = 1;
        nite=0;
        while (cond > 1.e-4)

            [s,epl]=cp(ep, [0;0;0;0;0;0], e, nu, 1.5);
            sp=-[0;0;s(3);s(4);s(5);s(6)];
            ep=ep+id*sp;
            nite=nite+1;
            cond = norm(sp);
        end
        plot ([s(1)], [s(2)], "og");
    end
end %for i
hold off
pause


