% funkce pocita derivaci 2 invariantu deviatoru napeti (J2) podle napeti
%
%   
function a = dj2ds(s)

a=zeros(6,1);
f = sqrt( j2(s) );

sx = ( 2. / 3. ) * s(1) - ( 1. / 3. ) * s(2) - ( 1. / 3. ) * s(3);
sy = ( 2. / 3. ) * s(2) - ( 1. / 3. ) * s(1) - ( 1. / 3. ) * s(3);
sz = ( 2. / 3. ) * s(3) - ( 1. / 3. ) * s(2) - ( 1. / 3. ) * s(1);

a(1) = 0.5 * sx / f;
a(2) = 0.5 * sy / f;
a(3) = 0.5 * sz / f;
a(4) = s(4) / f;
a(5) = s(5) / f;
a(6) = s(6) / f;

