% Funkce sestavi matici tuhosti linearne izotropniho materialu ve 3D
%
function d = isole3d(e, nu)

   d=zeros(6);
   
   ee = e / ( ( 1. + nu ) * ( 1. - 2. * nu ) );

d(1, 1) =  1. - nu;
d(1, 2) =  nu;
d(1, 3) =  nu;
d(2, 1) =  nu;
d(2, 2) =  1. - nu;
d(2, 3) =  nu;
d(3, 1) =  nu;
d(3, 2) =  nu;
d(3, 3) =  1. - nu;

d(4, 4) =  ( 1. - 2. * nu ) * 0.5;
d(5, 5) =  ( 1. - 2. * nu ) * 0.5;
d(6, 6) =  ( 1. - 2. * nu ) * 0.5;

d = d*ee;
