function a = lspace_dndx(lc, xyz) 

jm = lspace_jacobian(lc, xyz);
ijm = inv(jm);

dx=lspace_dndksi(lc);
dy=lspace_dndeta(lc);
dz=lspace_dndzeta(lc);

a=zeros(8, 3);

for i=1:8
  a(i, 1) = dx(i) * ijm(1, 1) + dy(i) * ijm(1, 2) + dz(i) * ijm(1, 3);
  a(i, 2) = dx(i) * ijm(2, 1) + dy(i) * ijm(2, 2) + dz(i) * ijm(2, 3);
  a(i, 3) = dx(i) * ijm(3, 1) + dy(i) * ijm(3, 2) + dz(i) * ijm(3, 3);
end

