e=10.0;
nu=0.15;

global nnode = 90
global ndof  = 3
global nelem = 32
global nelnode = 8
  global neq;
global uneq;
global pneq;
global id; global lm;
global bc; global elnode;
% pole kodovych cisel uzlu (0 volny posun, 1 podpora)
bc=zeros(90,3);
for i=1:10
  bc(i,1)=1;
  bc(i,2)=1;
  bc(i,3)=1;
end;
%pole uzlu prvku
global elnode=zeros(32,8);
for i=1:8
elnode((i-1)*4+1,:)=[(i-1)*10+1, (i-1)*10+11, (i-1)*10+16, (i-1)*10+6, (i-1)*10+2, (i-1)*10+12, (i-1)*10+17, (i-1)*10+7];
elnode((i-1)*4+2,:)=[(i-1)*10+2, (i-1)*10+12, (i-1)*10+17, (i-1)*10+7, (i-1)*10+3, (i-1)*10+13, (i-1)*10+18, (i-1)*10+8];
elnode((i-1)*4+3,:)=[(i-1)*10+3, (i-1)*10+13, (i-1)*10+18, (i-1)*10+8, (i-1)*10+4, (i-1)*10+14, (i-1)*10+19, (i-1)*10+9];
elnode((i-1)*4+4,:)=[(i-1)*10+4, (i-1)*10+14, (i-1)*10+19, (i-1)*10+9, (i-1)*10+5, (i-1)*10+15, (i-1)*10+20, (i-1)*10+10];
end;

%pole souradnic
xyz=zeros(90,3);
for j=1:9
for k=1:2
for i=1:5
   xyz(i+(k-1)*5+(j-1)*10, :)=[j-1,k-1,i-1];
end
end
end


preproc;

%
subplot(2,1,1);
title ("Prubeh napeti ve vetknuti")
subplot(2,1,2);
title("Deformovany tvar")



subplot(2,1,2)
for i=1:32
  lspace_plot(i, xyz, elnode, 'b-x')
end

%solve the problem
k=zeros(neq);
ru = zeros(uneq,1);
f  = zeros(uneq,1);
% add vertical z-force 0.1 to nodes 80-90
for i=1:10
  f(uneq-(i-1)*3)=-0.1;
end
%souradnice uzlu (krychle o hrane 1)
xyze=[0,0,0;     1,0,0;	 1,1,0;	 0,1,0;	 0,0,1;	 1,0,1;	 1,1,1;	 0,1,1];
ke=lspace_k(xyze,e,nu);

for i=1:nelem
  k=assembly(k,ke,i);
end

kuu=k(pneq+1:neq,pneq+1:neq);
ru=kuu\f;
r(pneq+1:neq) = ru;


subplot(2,1,2)

hold on
%
xyzd=zeros(90,3);
for i=1:90
  for j=1:3
  xyzd(i,j)=xyz(i,j)+r(id(i,j));
  end
end
for i=1:32
    lspace_plot(i, xyzd, elnode, 'r-x')
end
view([0 -1 0])




subplot(2,1,1)
hold on;
%dopocteni deformaci a napeti ve vetknuti (elements 1-4):
d=isole3d(e,nu);
lc=[-0.577350269189626, -0.577350269189626, 0.577350269189626;
      -0.577350269189626, -0.577350269189626, -0.577350269189626];
for ie=1:4
 re=r(lm(ie,:));
be=lspace_b(xyze, lc(1,:));
epse=be*re';
se=d*epse/1.;
plot3([0; se(1); se(1); 0], [0;0;0;0], [(ie-1);(ie-1);(ie-1)+0.5;(ie-1)+0.5], "r");
be=lspace_b(xyze, lc(2,:));
epse=be*re';
se=d*epse/1.;
plot3([0; se(1); se(1); 0], [0;0;0;0], [(ie-1)+0.50;(ie-1)+0.50;(ie-1)+1;(ie-1)+1], "r");
end
view([0 -1 0])
hold off
pause


