function j = lspace_jacobian (lc, xyz)
  j=zeros(3);

dx=lspace_dndksi(lc);
dy=lspace_dndeta(lc);
dz=lspace_dndzeta(lc);

for i=1:8
        x = xyz(i,1);
        y = xyz(i,2);
        z = xyz(i,3);

        j(1, 1) = j(1, 1)+ dx(i) * x;
        j(1, 2) = j(1, 2) +dx(i) * y;
        j(1, 3) = j(1, 3) +dx(i) * z;
        j(2, 1) = j(2, 1) +dy(i) * x;
        j(2, 2) = j(2, 2) +dy(i) * y;
        j(2, 3) = j(2, 3) +dy(i) * z;
        j(3, 1) = j(3, 1) +dz(i) * x;
        j(3, 2) = j(3, 2) +dz(i) * y;
        j(3, 3) = j(3, 3) +dz(i) * z;
end %for
